Subject: Re: bug report S

From: Zheng Gengbing <[email-masked]>
Date: Mon, 22 Apr 1996 19:12:35 +0800 (EAT)

On Sat, 20 Apr 1996, Guansong Zhang wrote:

> program spec1
> 
> i=B'1011'
> i=B"1011"
> I=O"173"
> I=O'173'
> i=Z'ABC'
> i=Z"ABC"
> 
> end
> 
> and its llnd list:
> 
> ***L0W-LEVEL NODES***
> 
>     id    var    type    symb    ll1     ll2                     tag...
>     1-E   307     1-T     3-S    ----    ----                       VAR_REF
>     2-E   810     1-T               537525480                    BINARY_VAL
>     3-E   307     1-T     3-S    ----    ----                       VAR_REF
>     4-E   810     1-T               537525736                    BINARY_VAL
>     5-E   307     1-T     3-S    ----    ----                       VAR_REF
>     6-E   811     1-T               537526008                      OCTN_VAL
>     7-E   307     1-T     3-S    ----    ----                       VAR_REF
>     8-E   811     1-T               537526280                      OCTN_VAL
>     9-E   307     1-T     3-S    ----    ----                       VAR_REF
>    10-E   812     1-T               537526552                       HEX_VAL
>    11-E   307     1-T     3-S    ----    ----                       VAR_REF
>    12-E   812     1-T               537526824                       HEX_VAL
> 
> how *_VAL is defined? the symbol can not linked to this. I also don't know how
> to distinguish " and '.
> 
> My work is on 1.31
> 
	
	The value is stored in the entry union of a LLND , in either
	ival , cval , string_val etc . But what you mean the symbol ?

	That is really a bug . The yacc deal the BINARY_CONST , OCTN , HEX
as entry.string_val (string type) .  Yacc should convert this string_val to  
entry.ival which contain the value of constant. I have just modified some
correspoding yacc action to produce correct result.

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************